<template>
  <section class="about">
    <div class="container">

      <article>
        <header>
          <h1>Hello {{ $auth.user.given_name }}!</h1>
        </header>
        <div class="content">
          <pre>
            {{ $auth.user }}
          </pre>

          <button @click="signoutAuth0" class="btn-default">Logout</button>
        </div>
      </article>

    </div>
  </section>
</template>

<script>
export default {
  middleware: 'auth',
  name: "About",
  data() {
    return {
    }
  },
  methods: {
    async signoutAuth0() {
      await this.$auth.logout()
    }
  }
}
</script>

<style lang="scss">
.about {
  .container {
    @include _containerHelper('normal');
    margin: 10vh auto;
  }

  pre {
    position: relative;
    overflow: auto;
    padding: 15px;

    text-align: left;
    border-radius: $grid-gap;
    background: color-gray(3);
  }
}
</style>
